HEAD(1)

NIMI
head - tulostaa alun tiedostoista

YLEISKATSAUS
head [VALITSIN]... [TIEDOSTO]...

KUVAUS

Tulosta kunkin TIEDOSTOn 10 ensimmäistä riviä vakiotulosteeseen. Jos TIEDOSTOja on useampi kuin yksi, jokaista ennen näytetään tiedostonimi.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-c, --bytes=[-]N
    tulosta ensimmäiset N tavua jokaisesta tiedostosta; jos edeltävä merkki ”-” on annettu, tulosta koko tiedosto lukuun ottamatta N:ää viimeistä tavua

-n, --lines=[-]N
    tulosta ensimmäiset N riviä ensimmäisen 10 sijaan; jos edeltävä merkki ”-” on annettu, tulosta koko tiedosto lukuun ottamatta N:ää viimeistä riviä

-q, --quiet, --silent
    älä koskaan tulosta tiedostonimen sisältäviä otsakkeita

-v, --verbose
    tulosta aina tiedostonimen sisältävät otsakkeet

-z, --zero-terminated
    päätä rivit 0-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

NUM may have a multiplier suffix: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, and so on for T, P, E, Z, Y, R, Q. Binary prefixes can be used, too: KiB=K, MiB=M, and so on.

TEKIJÄ
Kirjoittaneet David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
tail(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/head>
tai saatavilla paikallisesti: info '(coreutils) head invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Antti Salmela <asap@lyseo.edu.ouka.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.